> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocketblue.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get latest web search queries

> Convenience endpoint for web search queries from the brand's latest analysis run.

Equivalent to calling [Get brand web search queries](/api-reference/web-search-queries/get-brand) without a `runId`.

### Path parameters

<ParamField path="brandId" type="string" required>
  Brand UUID.
</ParamField>

### Query parameters

<ParamField query="prompt_id" type="string">
  Optional prompt UUID filter. Alias: `promptId`.
</ParamField>

<ParamField query="llm" type="string">
  Optional LLM name filter. Alias: `llm_names`.
</ParamField>

### Request

```bash theme={null}
curl -s \
  -H "x-api-key: YOUR_API_KEY" \
  "https://app.rocketblue.ai/api/v1/brands/BRAND_ID/last/web-search-queries"
```
